%define major 3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Parallel, scalable launcher for cluster and lightweight grids
Name:		taktuk
Version:	3.7.5
Release:	3
License:	GPLv2+
Group:		Networking/Remote access
Url:		http://taktuk.gforge.inria.fr/
Source0:	https://gforge.inria.fr/frs/download.php/33412/%{name}-%{version}.tar.gz
BuildRequires:	perl-devel
Provides:	parallel-tools = %{EVRD}

%description
TakTuk is a tool for deploying parallel remote executions of commands to a
potentially large set of remote nodes. It spreads itself using an adaptive
algorithm and sets up an interconnection network to transport commands and
perform I/Os multiplexing/demultiplexing. The TakTuk mechanics dynamically
adapt to environment (machine performance and current load, network
contention) by using a reactive work-stealing algorithm that mix local
parallelization and work distribution.

%files
%{_bindir}/taktuk
%{_bindir}/taktuk-light
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_defaultdocdir}/%{name}-%{version}

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Parallel, scalable launcher for cluster development
Group:		System/Libraries
Conflicts:	%{_lib}taktuk0 < 3.7.5-3
Obsoletes:	%{_lib}taktuk0 < 3.7.5-3

%description -n %{libname}
TakTuk is a tool for deploying parallel remote executions of commands to a
potentially large set of remote nodes.

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING DISCLAIMER INSTALL NEWS README  TODO *.html
%{_libdir}/libtaktuk.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for Taktuk
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Conflicts:	%{_lib}taktuk0-devel < 3.7.5-3
Obsoletes:	%{_lib}taktuk0-devel < 3.7.5-3

%description -n %{devname}
Development files for Taktuk.

%files -n %{devname}
%{_includedir}/*
%{_libdir}/libtaktuk.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%package -n perl-%{name}
Summary:	Taktuk Perl package
Group:		Development/Perl
Requires:	%{libname} = %{EVRD}

%description -n perl-%{name}
Taktuk Perl package.

%files -n perl-%{name}
%doc AUTHORS ChangeLog COPYING DISCLAIMER INSTALL NEWS README  TODO *.html
%{perl_vendorlib}/*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make
pushd Perl-Module
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=%{buildroot}
%make
popd

%install
%makeinstall pkgdocdir=%{buildroot}%{_defaultdocdir}/%{name}-%{version}
pushd Perl-Module
%makeinstall pkgdocdir=%{buildroot}%{_defaultdocdir}/%{name}-%{version}
popd
cp taktuk-light %{buildroot}/%{_bindir}/taktuk-light
chmod 755 %{buildroot}/%{_bindir}/taktuk-light


%changelog

* Tue May 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.7.5-3
- (777d5f5) Fix shared library and development packages
- (777d5f5) Spec cleanup


